<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.keyring</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        Module&nbsp;keyring
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.keyring-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="screenlets.plugins.keyring-module.html">Module screenlets.plugins.keyring</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment"># This application is released under the GNU General Public License </tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># v3 (or, at your option, any later version). You can find the full </tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># text of the license under http://www.gnu.org/licenses/gpl.txt. </tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># By using, editing and/or distributing this software you agree to </tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># the terms and conditions of this license. </tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># Thank you for using free softwa</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># pavpanchekha</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="KeyRing"></a><div id="KeyRing-def"><a name="L10"></a><tt class="py-lineno">10</tt> <a class="py-toggle" href="#" id="KeyRing-toggle" onclick="return toggle('KeyRing');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing-class.html">KeyRing</a><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="KeyRing-expanded"><a name="KeyRing.__init__"></a><div id="KeyRing.__init__-def"><a name="L11"></a><tt class="py-lineno">11</tt> <a class="py-toggle" href="#" id="KeyRing.__init__-toggle" onclick="return toggle('KeyRing.__init__');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.__init__-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="KeyRing.__init__-expanded"><a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line">        <tt class="py-keyword">import</tt> <tt id="link-0" class="py-name" targets="Module screenlets.plugins.keyring=screenlets.plugins.keyring-module.html"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-0', 'keyring', 'link-0');">keyring</a></tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-1" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-1', 'keyring', 'link-0');">keyring</a></tt> <tt class="py-op">=</tt> <tt id="link-2" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-2', 'keyring', 'link-0');">keyring</a></tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-3" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-3', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">is_available</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line">            <tt class="py-keyword">raise</tt> <tt class="py-name">KeyRingError</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line">        <tt class="py-name">keyring_list</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-4" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-4', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">list_keyring_names_sync</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">len</tt><tt class="py-op">(</tt><tt class="py-name">keyring_list</tt><tt class="py-op">)</tt> <tt class="py-op">==</tt> <tt class="py-number">0</tt><tt class="py-op">:</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line">            <tt class="py-keyword">raise</tt> <tt class="py-name">KeyRingError</tt> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">ring</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-5" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-5', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">get_default_keyring_sync</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.new"></a><div id="KeyRing.new-def"><a name="L21"></a><tt class="py-lineno">21</tt> <a class="py-toggle" href="#" id="KeyRing.new-toggle" onclick="return toggle('KeyRing.new');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing-class.html#new">new</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">name</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-param">pwd</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-param">attrs</tt><tt class="py-op">=</tt><tt class="py-op">{</tt><tt class="py-op">}</tt><tt class="py-op">,</tt> <tt class="py-param">type</tt><tt class="py-op">=</tt><tt class="py-string">"generic"</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.new-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="KeyRing.new-expanded"><a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line">        <tt class="py-name">k</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-6" class="py-name" targets="Class screenlets.plugins.keyring.KeyRing.Key=screenlets.plugins.keyring.KeyRing.Key-class.html"><a title="screenlets.plugins.keyring.KeyRing.Key" class="py-name" href="#" onclick="return doclink('link-6', 'Key', 'link-6');">Key</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-7" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-7', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">)</tt> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt id="link-8" class="py-name" targets="Variable screenlets.plugins.keyring.KeyRing.Key.name=screenlets.plugins.keyring.KeyRing.Key-class.html#name"><a title="screenlets.plugins.keyring.KeyRing.Key.name" class="py-name" href="#" onclick="return doclink('link-8', 'name', 'link-8');">name</a></tt> <tt class="py-keyword">and</tt> <tt class="py-name">pwd</tt><tt class="py-op">:</tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line">            <tt class="py-name">k</tt><tt class="py-op">.</tt><tt id="link-9" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.set()=screenlets.plugins.keyring.KeyRing.Key-class.html#set,Method screenlets.services.ScreenletService.set()=screenlets.services.ScreenletService-class.html#set"><a title="screenlets.plugins.keyring.KeyRing.Key.set
screenlets.services.ScreenletService.set" class="py-name" href="#" onclick="return doclink('link-9', 'set', 'link-9');">set</a></tt><tt class="py-op">(</tt><tt id="link-10" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.name" class="py-name" href="#" onclick="return doclink('link-10', 'name', 'link-8');">name</a></tt><tt class="py-op">,</tt> <tt class="py-name">pwd</tt><tt class="py-op">,</tt> <tt id="link-11" class="py-name" targets="Variable screenlets.plugins.keyring.KeyRing.Key.attrs=screenlets.plugins.keyring.KeyRing.Key-class.html#attrs"><a title="screenlets.plugins.keyring.KeyRing.Key.attrs" class="py-name" href="#" onclick="return doclink('link-11', 'attrs', 'link-11');">attrs</a></tt><tt class="py-op">,</tt> <tt class="py-name">type</tt><tt class="py-op">)</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line">        <tt class="py-keyword">return</tt> <tt class="py-name">k</tt> </tt>
</div><a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key"></a><div id="KeyRing.Key-def"><a name="L27"></a><tt class="py-lineno">27</tt> <a class="py-toggle" href="#" id="KeyRing.Key-toggle" onclick="return toggle('KeyRing.Key');">-</a><tt class="py-line">    <tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html">Key</a><tt class="py-op">(</tt><tt class="py-base-class">object</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="KeyRing.Key-expanded"><a name="KeyRing.Key.__init__"></a><div id="KeyRing.Key.__init__-def"><a name="L28"></a><tt class="py-lineno">28</tt> <a class="py-toggle" href="#" id="KeyRing.Key.__init__-toggle" onclick="return toggle('KeyRing.Key.__init__');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">keyring</tt><tt class="py-op">,</tt> <tt class="py-param">token</tt><tt class="py-op">=</tt><tt class="py-number">0</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.__init__-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.__init__-expanded"><a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-12" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-12', 'keyring', 'link-0');">keyring</a></tt> <tt class="py-op">=</tt> <tt id="link-13" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-13', 'keyring', 'link-0');">keyring</a></tt> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">token</tt> <tt class="py-op">=</tt> <tt class="py-name">token</tt> </tt>
</div><a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.set"></a><div id="KeyRing.Key.set-def"><a name="L32"></a><tt class="py-lineno">32</tt> <a class="py-toggle" href="#" id="KeyRing.Key.set-toggle" onclick="return toggle('KeyRing.Key.set');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#set">set</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">name</tt><tt class="py-op">,</tt> <tt class="py-param">pwd</tt><tt class="py-op">,</tt> <tt class="py-param">attrs</tt><tt class="py-op">=</tt><tt class="py-op">{</tt><tt class="py-op">}</tt><tt class="py-op">,</tt> <tt class="py-param">type</tt><tt class="py-op">=</tt><tt class="py-string">"generic"</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.set-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.set-expanded"><a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt class="py-name">type</tt> <tt class="py-op">==</tt> <tt class="py-string">"network"</tt><tt class="py-op">:</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line">                <tt class="py-name">type</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-14" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-14', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">ITEM_NETWORK_PASSWORD</tt> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt class="py-name">type</tt> <tt class="py-op">==</tt> <tt class="py-string">"note"</tt><tt class="py-op">:</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line">                <tt class="py-name">type</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-15" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-15', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">ITEM_NOTE</tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line">            <tt class="py-keyword">else</tt><tt class="py-op">:</tt> <tt class="py-comment"># Generic included</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">                <tt class="py-name">type</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-16" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-16', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">ITEM_GENERIC_SECRET</tt> </tt>
<a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line"> </tt>
<a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">token</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-17" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-17', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">item_create_sync</tt><tt class="py-op">(</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">type</tt><tt class="py-op">,</tt> <tt id="link-18" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.name" class="py-name" href="#" onclick="return doclink('link-18', 'name', 'link-8');">name</a></tt><tt class="py-op">,</tt> <tt id="link-19" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.attrs" class="py-name" href="#" onclick="return doclink('link-19', 'attrs', 'link-11');">attrs</a></tt><tt class="py-op">,</tt> <tt class="py-name">pwd</tt><tt class="py-op">,</tt> <tt class="py-name">True</tt><tt class="py-op">)</tt> </tt>
</div><a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.get"></a><div id="KeyRing.Key.get-def"><a name="L42"></a><tt class="py-lineno">42</tt> <a class="py-toggle" href="#" id="KeyRing.Key.get-toggle" onclick="return toggle('KeyRing.Key.get');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#get">get</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.get-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.get-expanded"><a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-20" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-20', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">item_get_info_sync</tt><tt class="py-op">(</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">token</tt><tt class="py-op">)</tt> </tt>
</div><a name="L44"></a><tt class="py-lineno">44</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.getAttrs"></a><div id="KeyRing.Key.getAttrs-def"><a name="L45"></a><tt class="py-lineno">45</tt> <a class="py-toggle" href="#" id="KeyRing.Key.getAttrs-toggle" onclick="return toggle('KeyRing.Key.getAttrs');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#getAttrs">getAttrs</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.getAttrs-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.getAttrs-expanded"><a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt id="link-21" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-21', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">item_get_attributes_sync</tt><tt class="py-op">(</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">token</tt><tt class="py-op">)</tt> </tt>
</div><a name="L47"></a><tt class="py-lineno">47</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.setAttrs"></a><div id="KeyRing.Key.setAttrs-def"><a name="L48"></a><tt class="py-lineno">48</tt> <a class="py-toggle" href="#" id="KeyRing.Key.setAttrs-toggle" onclick="return toggle('KeyRing.Key.setAttrs');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#setAttrs">setAttrs</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">a</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.setAttrs-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.setAttrs-expanded"><a name="L49"></a><tt class="py-lineno">49</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt id="link-22" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-22', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">item_set_attributes_sync</tt><tt class="py-op">(</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">token</tt><tt class="py-op">,</tt> <tt class="py-name">a</tt><tt class="py-op">)</tt> </tt>
</div><a name="L50"></a><tt class="py-lineno">50</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.getName"></a><div id="KeyRing.Key.getName-def"><a name="L51"></a><tt class="py-lineno">51</tt> <a class="py-toggle" href="#" id="KeyRing.Key.getName-toggle" onclick="return toggle('KeyRing.Key.getName');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#getName">getName</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.getName-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.getName-expanded"><a name="L52"></a><tt class="py-lineno">52</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-23" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.get()=screenlets.plugins.keyring.KeyRing.Key-class.html#get,Method screenlets.services.ScreenletService.get()=screenlets.services.ScreenletService-class.html#get"><a title="screenlets.plugins.keyring.KeyRing.Key.get
screenlets.services.ScreenletService.get" class="py-name" href="#" onclick="return doclink('link-23', 'get', 'link-23');">get</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">get_display_name</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L53"></a><tt class="py-lineno">53</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.setName"></a><div id="KeyRing.Key.setName-def"><a name="L54"></a><tt class="py-lineno">54</tt> <a class="py-toggle" href="#" id="KeyRing.Key.setName-toggle" onclick="return toggle('KeyRing.Key.setName');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#setName">setName</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">name</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.setName-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.setName-expanded"><a name="L55"></a><tt class="py-lineno">55</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-24" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.get
screenlets.services.ScreenletService.get" class="py-name" href="#" onclick="return doclink('link-24', 'get', 'link-23');">get</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">set_display_name</tt><tt class="py-op">(</tt><tt id="link-25" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.name" class="py-name" href="#" onclick="return doclink('link-25', 'name', 'link-8');">name</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L56"></a><tt class="py-lineno">56</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.getPass"></a><div id="KeyRing.Key.getPass-def"><a name="L57"></a><tt class="py-lineno">57</tt> <a class="py-toggle" href="#" id="KeyRing.Key.getPass-toggle" onclick="return toggle('KeyRing.Key.getPass');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#getPass">getPass</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.getPass-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.getPass-expanded"><a name="L58"></a><tt class="py-lineno">58</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-26" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.get
screenlets.services.ScreenletService.get" class="py-name" href="#" onclick="return doclink('link-26', 'get', 'link-23');">get</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">get_secret</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L59"></a><tt class="py-lineno">59</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.setPass"></a><div id="KeyRing.Key.setPass-def"><a name="L60"></a><tt class="py-lineno">60</tt> <a class="py-toggle" href="#" id="KeyRing.Key.setPass-toggle" onclick="return toggle('KeyRing.Key.setPass');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#setPass">setPass</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">passwd</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.setPass-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.setPass-expanded"><a name="L61"></a><tt class="py-lineno">61</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-27" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.get
screenlets.services.ScreenletService.get" class="py-name" href="#" onclick="return doclink('link-27', 'get', 'link-23');">get</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">set_secret</tt><tt class="py-op">(</tt><tt class="py-name">passwd</tt><tt class="py-op">)</tt> </tt>
</div><a name="L62"></a><tt class="py-lineno">62</tt>  <tt class="py-line"> </tt>
<a name="KeyRing.Key.delete"></a><div id="KeyRing.Key.delete-def"><a name="L63"></a><tt class="py-lineno">63</tt> <a class="py-toggle" href="#" id="KeyRing.Key.delete-toggle" onclick="return toggle('KeyRing.Key.delete');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.keyring.KeyRing.Key-class.html#delete">delete</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="KeyRing.Key.delete-collapsed" style="display:none;" pad="++" indent="++++++++++++++++"></div><div id="KeyRing.Key.delete-expanded"><a name="L64"></a><tt class="py-lineno">64</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-28" class="py-name"><a title="screenlets.plugins.keyring" class="py-name" href="#" onclick="return doclink('link-28', 'keyring', 'link-0');">keyring</a></tt><tt class="py-op">.</tt><tt class="py-name">item_delete_sync</tt><tt class="py-op">(</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">token</tt><tt class="py-op">)</tt> </tt>
</div><a name="L65"></a><tt class="py-lineno">65</tt>  <tt class="py-line"> </tt>
<a name="L66"></a><tt class="py-lineno">66</tt>  <tt class="py-line">        <tt id="link-29" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.attrs" class="py-name" href="#" onclick="return doclink('link-29', 'attrs', 'link-11');">attrs</a></tt> <tt class="py-op">=</tt> <tt class="py-name">property</tt><tt class="py-op">(</tt><tt id="link-30" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.getAttrs()=screenlets.plugins.keyring.KeyRing.Key-class.html#getAttrs"><a title="screenlets.plugins.keyring.KeyRing.Key.getAttrs" class="py-name" href="#" onclick="return doclink('link-30', 'getAttrs', 'link-30');">getAttrs</a></tt><tt class="py-op">,</tt> <tt id="link-31" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.setAttrs()=screenlets.plugins.keyring.KeyRing.Key-class.html#setAttrs"><a title="screenlets.plugins.keyring.KeyRing.Key.setAttrs" class="py-name" href="#" onclick="return doclink('link-31', 'setAttrs', 'link-31');">setAttrs</a></tt><tt class="py-op">)</tt> </tt>
<a name="L67"></a><tt class="py-lineno">67</tt>  <tt class="py-line">        <tt id="link-32" class="py-name"><a title="screenlets.plugins.keyring.KeyRing.Key.name" class="py-name" href="#" onclick="return doclink('link-32', 'name', 'link-8');">name</a></tt> <tt class="py-op">=</tt> <tt class="py-name">property</tt><tt class="py-op">(</tt><tt id="link-33" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.getName()=screenlets.plugins.keyring.KeyRing.Key-class.html#getName"><a title="screenlets.plugins.keyring.KeyRing.Key.getName" class="py-name" href="#" onclick="return doclink('link-33', 'getName', 'link-33');">getName</a></tt><tt class="py-op">,</tt> <tt id="link-34" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.setName()=screenlets.plugins.keyring.KeyRing.Key-class.html#setName"><a title="screenlets.plugins.keyring.KeyRing.Key.setName" class="py-name" href="#" onclick="return doclink('link-34', 'setName', 'link-34');">setName</a></tt><tt class="py-op">)</tt> </tt>
<a name="L68"></a><tt class="py-lineno">68</tt>  <tt class="py-line">        <tt id="link-35" class="py-name" targets="Variable screenlets.plugins.keyring.KeyRing.Key.password=screenlets.plugins.keyring.KeyRing.Key-class.html#password"><a title="screenlets.plugins.keyring.KeyRing.Key.password" class="py-name" href="#" onclick="return doclink('link-35', 'password', 'link-35');">password</a></tt> <tt class="py-op">=</tt> <tt class="py-name">property</tt><tt class="py-op">(</tt><tt id="link-36" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.getPass()=screenlets.plugins.keyring.KeyRing.Key-class.html#getPass"><a title="screenlets.plugins.keyring.KeyRing.Key.getPass" class="py-name" href="#" onclick="return doclink('link-36', 'getPass', 'link-36');">getPass</a></tt><tt class="py-op">,</tt> <tt id="link-37" class="py-name" targets="Method screenlets.plugins.keyring.KeyRing.Key.setPass()=screenlets.plugins.keyring.KeyRing.Key-class.html#setPass"><a title="screenlets.plugins.keyring.KeyRing.Key.setPass" class="py-name" href="#" onclick="return doclink('link-37', 'setPass', 'link-37');">setPass</a></tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L69"></a><tt class="py-lineno">69</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:53:02 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
